separate setup for App1;
authorwenzelm
Fri, 03 Jul 2009 16:10:49 +0200
changeset 31924 47b59620f37f
parent 31923 d6cd15601d8a
child 31925 569b7fae5206
separate setup for App1;
Admin/MacOS/App1/README
Admin/MacOS/App1/mk
Admin/MacOS/App1/script
Admin/MacOS/README
Admin/MacOS/mk
Admin/MacOS/script
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Admin/MacOS/App1/README	Fri Jul 03 16:10:49 2009 +0200
@@ -0,0 +1,9 @@
+Isabelle application bundle for MacOS
+=====================================
+
+Requirements:
+
+* CocoaDialog 2.2.1 http://cocoadialog.sourceforge.net/
+
+* Platypus 4.0 http://www.sveinbjorn.org/platypus
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Admin/MacOS/App1/mk	Fri Jul 03 16:10:49 2009 +0200
@@ -0,0 +1,18 @@
+#!/bin/bash
+#
+# Make Isabelle application bundle
+
+THIS="$(cd "$(dirname "$0")"; pwd)"
+
+PLATYPUS_APP="/Applications/Platypus-4.0/Platypus.app"
+COCOADIALOG_APP="/Applications/CocoaDialog.app"
+
+"$PLATYPUS_APP/Contents/Resources/platypus" \
+  -a Isabelle -u Isabelle \
+  -I "de.tum.in.isabelle" \
+  -i "$THIS/../isabelle.icns" \
+  -p /bin/bash \
+  -c "$THIS/script" \
+  -o None \
+  -f "$COCOADIALOG_APP" \
+  "$PWD/Isabelle.app"
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Admin/MacOS/App1/script	Fri Jul 03 16:10:49 2009 +0200
@@ -0,0 +1,78 @@
+#!/bin/bash
+#
+# Author: Makarius
+#
+# Isabelle application wrapper
+
+THIS="$(cd "$(dirname "$0")"; pwd)"
+THIS_APP="$(cd "$THIS/../.."; pwd)"
+SUPER_APP="$(cd "$THIS/../../.."; pwd)"
+
+
+# sane environment defaults
+cd "$HOME"
+PATH="$PATH:/opt/local/bin"
+
+
+# settings support
+
+function choosefrom ()
+{
+  local RESULT=""
+  local FILE=""
+
+  for FILE in "$@"
+  do
+    [ -z "$RESULT" -a -e "$FILE" ] && RESULT="$FILE"
+  done
+
+  [ -z "$RESULT" ] && RESULT="$FILE"
+  echo "$RESULT"
+}
+
+
+# Isabelle
+
+ISABELLE_TOOL="$(choosefrom \
+  "$THIS/Isabelle/bin/isabelle" \
+  "$SUPER_APP/Isabelle/bin/isabelle" \
+  "$HOME/bin/isabelle" \
+  isabelle)"
+
+
+# Proof General / Emacs
+
+PROOFGENERAL_EMACS="$(choosefrom \
+  "$THIS/Emacs.app/Contents/MacOS/Emacs" \
+  "$SUPER_APP/Emacs.app/Contents/MacOS/Emacs" \
+  /Applications/Emacs.app/Contents/MacOS/Emacs \
+  "")"
+
+if [ -n "$PROOFGENERAL_EMACS" ]; then
+  EMACS_OPTIONS="-p $PROOFGENERAL_EMACS"
+fi
+
+
+# run interface with error feedback
+
+OUTPUT="/tmp/isabelle$$.out"
+
+( "$ISABELLE_TOOL" emacs $EMACS_OPTIONS "$@" ) > "$OUTPUT" 2>&1
+RC=$?
+
+if [ "$RC" != 0 ]; then
+  echo >> "$OUTPUT"
+  echo "Return code: $RC" >> "$OUTPUT"
+fi
+
+if [ $(stat -f "%z" "$OUTPUT") != 0 ]; then
+  "$THIS/CocoaDialog.app/Contents/MacOS/CocoaDialog" textbox \
+    --title "Isabelle" \
+    --informative-text "Isabelle output" \
+    --text-from-file "$OUTPUT" \
+    --button1 "OK"
+fi
+
+rm -f "$OUTPUT"
+
+exit "$RC"
--- a/Admin/MacOS/README	Fri Jul 03 10:54:26 2009 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,9 +0,0 @@
-Isabelle application bundle for MacOS
-=====================================
-
-Requirements:
-
-* CocoaDialog 2.2.1 http://cocoadialog.sourceforge.net/
-
-* Platypus 4.0 http://www.sveinbjorn.org/platypus
-
--- a/Admin/MacOS/mk	Fri Jul 03 10:54:26 2009 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,18 +0,0 @@
-#!/bin/bash
-#
-# Make Isabelle application bundle
-
-THIS="$(cd "$(dirname "$0")"; pwd)"
-
-PLATYPUS_APP="/Applications/Platypus-4.0/Platypus.app"
-COCOADIALOG_APP="/Applications/CocoaDialog.app"
-
-"$PLATYPUS_APP/Contents/Resources/platypus" \
-  -a Isabelle -u Isabelle \
-  -I "de.tum.in.isabelle" \
-  -i "$THIS/isabelle.icns" \
-  -p /bin/bash \
-  -c "$THIS/script" \
-  -o None \
-  -f "$COCOADIALOG_APP" \
-  "$PWD/Isabelle.app"
--- a/Admin/MacOS/script	Fri Jul 03 10:54:26 2009 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,78 +0,0 @@
-#!/bin/bash
-#
-# Author: Makarius
-#
-# Isabelle application wrapper
-
-THIS="$(cd "$(dirname "$0")"; pwd)"
-THIS_APP="$(cd "$THIS/../.."; pwd)"
-SUPER_APP="$(cd "$THIS/../../.."; pwd)"
-
-
-# sane environment defaults
-cd "$HOME"
-PATH="$PATH:/opt/local/bin"
-
-
-# settings support
-
-function choosefrom ()
-{
-  local RESULT=""
-  local FILE=""
-
-  for FILE in "$@"
-  do
-    [ -z "$RESULT" -a -e "$FILE" ] && RESULT="$FILE"
-  done
-
-  [ -z "$RESULT" ] && RESULT="$FILE"
-  echo "$RESULT"
-}
-
-
-# Isabelle
-
-ISABELLE_TOOL="$(choosefrom \
-  "$THIS/Isabelle/bin/isabelle" \
-  "$SUPER_APP/Isabelle/bin/isabelle" \
-  "$HOME/bin/isabelle" \
-  isabelle)"
-
-
-# Proof General / Emacs
-
-PROOFGENERAL_EMACS="$(choosefrom \
-  "$THIS/Emacs.app/Contents/MacOS/Emacs" \
-  "$SUPER_APP/Emacs.app/Contents/MacOS/Emacs" \
-  /Applications/Emacs.app/Contents/MacOS/Emacs \
-  "")"
-
-if [ -n "$PROOFGENERAL_EMACS" ]; then
-  EMACS_OPTIONS="-p $PROOFGENERAL_EMACS"
-fi
-
-
-# run interface with error feedback
-
-OUTPUT="/tmp/isabelle$$.out"
-
-( "$ISABELLE_TOOL" emacs $EMACS_OPTIONS "$@" ) > "$OUTPUT" 2>&1
-RC=$?
-
-if [ "$RC" != 0 ]; then
-  echo >> "$OUTPUT"
-  echo "Return code: $RC" >> "$OUTPUT"
-fi
-
-if [ $(stat -f "%z" "$OUTPUT") != 0 ]; then
-  "$THIS/CocoaDialog.app/Contents/MacOS/CocoaDialog" textbox \
-    --title "Isabelle" \
-    --informative-text "Isabelle output" \
-    --text-from-file "$OUTPUT" \
-    --button1 "OK"
-fi
-
-rm -f "$OUTPUT"
-
-exit "$RC"